package com.kmall.api.service.cus.pay.data.open;

import com.kmall.api.dao.cus.pay.data.open.ApiCusPayDataOpenMapper;
import com.kmall.api.entity.cus.pay.data.open.CusPayDataOpenVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * Service实现类
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2018-12-28 11:17:08
 */
@Service
public class ApiCusPayDataOpenService {

    @Autowired
    private ApiCusPayDataOpenMapper cusPayDataOpenDao;

    public CusPayDataOpenVo queryObject(Long id) {
        return cusPayDataOpenDao.queryObject(id);
    }

    public List<CusPayDataOpenVo> queryList(Map<String, Object> map) {
        return cusPayDataOpenDao.queryList(map);
    }

    public int queryTotal(Map<String, Object> map) {
        return cusPayDataOpenDao.queryTotal(map);
    }

    public int save(CusPayDataOpenVo cusPayDataOpen) {
        return cusPayDataOpenDao.save(cusPayDataOpen);
    }

    public int update(CusPayDataOpenVo cusPayDataOpen) {
        return cusPayDataOpenDao.update(cusPayDataOpen);
    }

    public int delete(Long id) {
        return cusPayDataOpenDao.delete(id);
    }

    public int deleteBatch(Long[]ids) {
        return cusPayDataOpenDao.deleteBatch(ids);
    }

    public CusPayDataOpenVo queryObjectByOrderNo(String orderNo) {
        return cusPayDataOpenDao.queryObjectByOrderNo(orderNo);
    }
}
